<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class controler.Game</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class controler.Game";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../controler/Game.html" title="class in controler">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?controler/class-use/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class controler.Game" class="title">Uses of Class<br>controler.Game</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../controler/Game.html" title="class in controler">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../controler/Game.html" title="class in controler">Game</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../controler/Game.html" title="class in controler">Game</a> in <a href="../../controler/package-summary.html">controler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../controler/GameOnline.html" title="class in controler">GameOnline</a></strong></code>
<div class="block">The Class GameOnline is use only for the online gamemode.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../controler/Game.html" title="class in controler">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/Drop.html#Drop(controler.Game)">Drop</a></strong>(<a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</code>
<div class="block">Instantiates a new drop object, who is used in the drag and drop of the pieces in the grid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/GridListener.html#GridListener(view.Grid,%20controler.Game)">GridListener</a></strong>(<a href="../../view/Grid.html" title="class in view">Grid</a>&nbsp;grid,
            <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new grid listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/MainButtonListener.html#MainButtonListener(view.Blokus,%20controler.Game)">MainButtonListener</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                  <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new mainButtonListener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/PieceListener.html#PieceListener(view.Blokus,%20controler.Game)">PieceListener</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new piece listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/PlayerButtonListener.html#PlayerButtonListener(model.Player,%20view.PlayerZone,%20controler.Game)">PlayerButtonListener</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
                    <a href="../../view/PlayerZone.html" title="class in view">PlayerZone</a>&nbsp;pz,
                    <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</code>
<div class="block">Instantiates a new player button listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../controler/Game.html" title="class in controler">Game</a> in <a href="../../view/package-summary.html">view</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../controler/Game.html" title="class in controler">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../controler/Game.html" title="class in controler">Game</a></code></td>
<td class="colLast"><span class="strong">PlayerZone.</span><code><strong><a href="../../view/PlayerZone.html#getGame()">getGame</a></strong>()</code>
<div class="block">Gets the game.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../controler/Game.html" title="class in controler">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">ZoneInformation.</span><code><strong><a href="../../view/ZoneInformation.html#setGame(controler.Game)">setGame</a></strong>(<a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</code>
<div class="block">Set the game.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../controler/Game.html" title="class in controler">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/PlayerZone.html#PlayerZone(model.Player,%20controler.Game,%20view.Blokus)">PlayerZone</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
          <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
          <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new player zone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/ViewGame.html#ViewGame(view.Blokus,%20controler.Game)">ViewGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
        <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new view game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/ViewGame.html#ViewGame(view.Blokus,%20controler.Game,%20boolean)">ViewGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
        <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
        boolean&nbsp;cursor)</code>
<div class="block">Instantiates a new view game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/ZoneInformation.html#ZoneInformation(view.Blokus,%20controler.Game)">ZoneInformation</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
               <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new zone information.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../controler/Game.html" title="class in controler">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?controler/class-use/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
